%global apiver 2.90

Name: compat-vte036
Version: 0.36.1
Release: 1%{?dist}
Summary: Compat package with vte 0.36 libraries
License: LGPLv2+
URL: http://www.gnome.org/
Source: http://download.gnome.org/sources/vte/0.36/vte-%{version}.tar.xz
# https://bugzilla.gnome.org/show_bug.cgi?id=688456
Patch2: 0001-widget-Only-show-the-cursor-on-motion-if-moved.patch

BuildRequires: gtk3-devel >= 3.0.0
BuildRequires: ncurses-devel
BuildRequires: gettext
BuildRequires: libXt-devel
BuildRequires: intltool
BuildRequires: gobject-introspection-devel

# initscripts creates the utmp group
Requires: initscripts

%description
VTE is a library implementing a terminal emulator widget for GTK+. VTE
is mainly used in gnome-terminal, but can also be used to embed a
console/terminal in games, editors, IDEs, etc.

VTE supports Unicode and character set conversion, as well as emulating
any terminal known to the system's terminfo database.

%prep
%setup -q -n vte-%{version}
%patch2 -p1 -b .motion

%build
CFLAGS="%optflags -fPIE -DPIE" \
CXXFLAGS="$CFLAGS" \
LDFLAGS="$LDFLAGS -Wl,-z,relro -Wl,-z,now -pie" \
%configure \
        --enable-shared \
        --disable-static \
        --with-gtk=3.0 \
        --libexecdir=%{_libdir}/vte-%{apiver} \
        --without-glX \
        --disable-gtk-doc \
        --enable-introspection
make %{?_smp_mflags} V=1

%install
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# Remove files we don't need in a compat package
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}
rm -rf $RPM_BUILD_ROOT%{_bindir}
rm -rf $RPM_BUILD_ROOT%{_includedir}
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.so
rm -rf $RPM_BUILD_ROOT%{_libdir}/pkgconfig/
rm -rf $RPM_BUILD_ROOT%{_datadir}/gir-1.0/
rm -rf $RPM_BUILD_ROOT%{_datadir}/gtk-doc/

%find_lang vte-%{apiver}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f vte-%{apiver}.lang
%doc COPYING
%{_libdir}/*.so.*
%dir %{_libdir}/vte-%{apiver}
%attr(2711,root,utmp) %{_libdir}/vte-%{apiver}/gnome-pty-helper
%{_libdir}/girepository-1.0

%changelog
* Sun Apr 27 2014 Kalev Lember <kalevlember@gmail.com> - 0.36.1-1
- vte 0.36 ABI compatibility package
